<bugID>507386<Summary>Unintended semicolons at the end of if-statements.</Summary><Description>Created attachment 391590
Remove two semicolons at the end of if statements
[Checkin: See comment 4 &amp; 7]

I was fixing a link in Thunderbird as part of bug 503436, and when I found out it occurred because of a semicolon at the end of an if:
  if (config.rememberPassword &amp;&amp; config.incoming.password.length);
    rememberPassword(inServer, config.incoming.password);
So I grepped through the rest of the javascript files for "^[[:space:]]*if\b[^)]*\);", and it gave me two hits, which I've cleaned up in the attached diff.

Thanks,
Blake.</Description></bugID>